Subject: Ticket Assigned - Click & Collect
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 04 Feb 2022 22:27:15 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Dear Splash team, I ordered a camouflage mask for “click & collect” delivery to your Dubai Festival City branch and when I arrived at the store yesterday it was not the mask I had originally ordered. I was very disappointed with my first online “click & collect” experience with Splash. I had to request a full refund as the product that was waiting to be collected was not the product I had originally ordered. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3852160